%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-markdown
Version:    0.5.0
Release:    1%{?dist}
Summary:    A sensible Markdown parser for JavaScript
# Upstream have been informed about missing LICENSE file:
# https://github.com/evilstreak/markdown-js/issues/74
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/evilstreak/markdown-js
Source0:    http://registry.npmjs.org/markdown/-/markdown-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-v%{version}.tar.bz2
# Include a custom man page.
Source2:    md2html.1
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%nodejs_fixdep nopt '~2.0'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/markdown
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/markdown
mkdir -p %{buildroot}%{nodejs_sitelib}/markdown/bin

install -p -D -m0755 bin/md2html.js \
    %{buildroot}%{nodejs_sitelib}/markdown/bin/md2html.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/markdown/bin/md2html.js \
    %{buildroot}%{_bindir}/md2html

mkdir -p %{buildroot}%{_mandir}/man1
install -p -D -m0644 %{SOURCE2} %{buildroot}%{_mandir}/man1/md2html.1

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%tap test/*.t.js
%endif


%files
%doc Changes.markdown README.markdown
%{nodejs_sitelib}/markdown
%{_bindir}/md2html
%{_mandir}/man1/md2html.1*


%changelog
* Sat Jul 27 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.5.0-1
- update to upstream release 0.5.0
- restrict to compatible arches
- test/ directory now excluded from npm tarball, so download separately

* Wed Jun 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.4.0-2
- rebuild for missing npm(markdown) provides on EL6

* Thu Feb 14 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.0-1
- initial package
